# Game: Bowcircle Main

team modify players friendlyFire true

kill @e[type=arrow,nbt={inGround:1b}]

execute as @a at @s if block ~ ~-3 ~ emerald_block unless entity @s[nbt={Inventory:[{id:"minecraft:bow"}]}] run replaceitem entity @s hotbar.0 bow{Enchantments:[{id:infinity,lvl:1}],HideFlags:1,display:{Name:"{\"text\":\"Bow\",\"color\":\"dark_purple\",\"italic\":false}"},NoDrop:1b,Unbreakable:1b}
execute as @a at @s unless block ~ ~-3 ~ emerald_block if entity @s[nbt={Inventory:[{id:"minecraft:bow"}]}] run clear @s
execute as @a[nbt={Inventory:[{id:"minecraft:bow"}]}] unless entity @s[nbt={Inventory:[{id:"minecraft:tipped_arrow"}]}] run replaceitem entity @s inventory.0 tipped_arrow{CustomPotionEffects:[{Id:20,Duration:160}],CustomPotionColor:5638273,HideFlags:33,Enchantments:[{id:protection,lvl:1}],display:{Name:"{\"text\":\"Arrow\",\"color\":\"blue\",\"italic\":false}"},NoDrop:1b}

execute as @a[nbt={ActiveEffects:[{Id:20b}]}] run clear @s
execute as @a[nbt={ActiveEffects:[{Id:20b}]}] run scoreboard players add @s bowDeath 1
execute as @a[nbt={ActiveEffects:[{Id:20b}]}] at @s run particle minecraft:explosion ~ ~ ~ 0 0 0 0 0 force
execute as @a[nbt={ActiveEffects:[{Id:20b}]}] at @s run playsound minecraft:entity.generic.explode voice @a ~ ~ ~ 1 0.8
execute as @a[nbt={ActiveEffects:[{Id:20b}]},scores={bowDeath=..4}] run tp @s @e[type=area_effect_cloud,tag=bowTeleport,limit=1,sort=random]
execute as @a[nbt={ActiveEffects:[{Id:20b}]},scores={bowDeath=5..}] run tp @s 154 36 122
execute as @a[nbt={ActiveEffects:[{Id:20b}]},scores={bowDeath=5..}] run tellraw @a ["",{"selector":"@s","color":"white"},{"text":" was shot","color":"white"}]
execute as @a[nbt={ActiveEffects:[{Id:20b}]},scores={bowDeath=5..}] run scoreboard players set @s death 2
execute as @a[nbt={ActiveEffects:[{Id:20b}]}] run effect clear @s wither

effect give @a instant_health

execute as @a[scores={bowDeath=0}] run experience set @s 5 levels
execute as @a[scores={bowDeath=1}] run experience set @s 4 levels
execute as @a[scores={bowDeath=2}] run experience set @s 3 levels
execute as @a[scores={bowDeath=3}] run experience set @s 2 levels
execute as @a[scores={bowDeath=4}] run experience set @s 1 levels
execute as @a[scores={bowDeath=5}] run experience set @s 0 levels

tag @a[scores={death=0},limit=1] add finish
execute unless entity @a[scores={death=0},tag=!finish] run tag @a[scores={death=0}] add winner
execute unless entity @a[scores={death=0},tag=!finish] run title @a title ["",{"selector":"@a[tag=winner]","color":"dark_green"}]
execute unless entity @a[scores={death=0},tag=!finish] run title @a subtitle [{"text":"won ","color":"gray"},{"score":{"objective":"gameData","name":"pointsRewarded"},"color":"gold"},{"text":" points","color":"gray"}]
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players operation @a[tag=winner] points += pointsRewarded gameData
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players operation @a[tag=winner] totalPoints += pointsRewarded gameData
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players operation totalPoints statistics += pointsRewarded gameData
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players add @a[tag=winner] roundsWon 1
execute unless entity @a[scores={death=0},tag=!finish] run tellraw @a ["",{"text":"- ","color":"gold"},{"selector":"@a[tag=winner,limit=1,sort=random]","color":"dark_green"},{"text":" can mark that circle as their territory!","color":"gray"}]
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players set inGame gameData 0
tag @a remove finish