# Particles

execute at @a[scores={particle=1}] run particle happy_villager ~ ~0.2 ~ 0 0 0 0 1
execute at @a[scores={particle=2}] run particle end_rod ~ ~0.2 ~ 0 0 0 0 1
execute at @a[scores={particle=3}] run particle note ~ ~0.2 ~ 0 0 0 0.5 1 normal
execute at @a[scores={particle=4}] run particle nautilus ~ ~0.5 ~ 0 0 0 0 5 normal
execute at @a[scores={particle=5}] run particle witch ~ ~0.2 ~ 0 0 0 0 3 normal
execute at @a[scores={particle=6}] run particle heart ~ ~ ~ 0 0 0 1 0 normal
execute at @a[scores={particle=7}] run particle flame ~ ~0.4 ~ 0 0 0 1 0 normal
execute at @a[scores={particle=8}] run particle totem_of_undying ~ ~0.5 ~ 0 0 0 0.1 2 normal
execute at @a[scores={particle=9,color=1..5}] run particle dust 1 0 0 1.2 ~ ~0.2 ~ 0 0 0 0 3 normal
execute at @a[scores={particle=9,color=6..10}] run particle dust 1 0.5 0 1.2 ~ ~0.2 ~ 0 0 0 0 3 normal
execute at @a[scores={particle=9,color=11..15}] run particle dust 1 1 0 1.2 ~ ~0.2 ~ 0 0 0 0 3 normal
execute at @a[scores={particle=9,color=16..20}] run particle dust 0 1 0 1.2 ~ ~0.2 ~ 0 0 0 0 3 normal
execute at @a[scores={particle=9,color=21..25}] run particle dust 0 1 1 1.2 ~ ~0.2 ~ 0 0 0 0 3 normal
execute at @a[scores={particle=9,color=26..30}] run particle dust 0 0 1 1.2 ~ ~0.2 ~ 0 0 0 0 3 normal
execute at @a[scores={particle=9,color=31..35}] run particle dust 0.4 0 0.8 1.2 ~ ~0.2 ~ 0 0 0 0 3 normal
execute at @a[scores={particle=9,color=36..40}] run particle dust 1 0 1 1.2 ~ ~0.2 ~ 0 0 0 0 3 normal


execute as @a[scores={gamesWon=1},tag=!particle1] run tellraw @s ["",{"text":"- ","color":"gold"},{"text":"You unlocked the ","color":"gray"},{"text":"VILLAGER","color":"dark_green"},{"text":" particle trail!","color":"gray"}]
execute as @a[scores={gamesWon=1},tag=!particle1] at @s run tellraw @a[distance=0.001..] ["",{"text":"- ","color":"gold"},{"selector":"@s","color":"dark_green"},{"text":" unlocked the ","color":"gray"},{"text":"VILLAGER","color":"dark_green"},{"text":" particle trail!","color":"gray"}]
execute as @a[scores={roundsPlayed=10},tag=!particle2] run tellraw @s ["",{"text":"- ","color":"gold"},{"text":"You unlocked the ","color":"gray"},{"text":"END ROD","color":"dark_green"},{"text":" particle trail!","color":"gray"}]
execute as @a[scores={roundsPlayed=10},tag=!particle2] at @s run tellraw @a[distance=0.001..] ["",{"text":"- ","color":"gold"},{"selector":"@s","color":"dark_green"},{"text":" unlocked the ","color":"gray"},{"text":"END ROD","color":"dark_green"},{"text":" particle trail!","color":"gray"}]
execute as @a[scores={roundsWon=3},tag=!particle3] run tellraw @s ["",{"text":"- ","color":"gold"},{"text":"You unlocked the ","color":"gray"},{"text":"NOTE","color":"dark_green"},{"text":" particle trail!","color":"gray"}]
execute as @a[scores={roundsWon=3},tag=!particle3] at @s run tellraw @a[distance=0.001..] ["",{"text":"- ","color":"gold"},{"selector":"@s","color":"dark_green"},{"text":" unlocked the ","color":"gray"},{"text":"NOTE","color":"dark_green"},{"text":" particle trail!","color":"gray"}]

execute as @a[scores={gamesWon=2},tag=!particle4] run tellraw @s ["",{"text":"- ","color":"gold"},{"text":"You unlocked the ","color":"gray"},{"text":"NAUTILUS","color":"dark_green"},{"text":" particle trail!","color":"gray"}]
execute as @a[scores={gamesWon=2},tag=!particle4] at @s run tellraw @a[distance=0.001..] ["",{"text":"- ","color":"gold"},{"selector":"@s","color":"dark_green"},{"text":" unlocked the ","color":"gray"},{"text":"NAUTILUS","color":"dark_green"},{"text":" particle trail!","color":"gray"}]
execute as @a[scores={roundsPlayed=20},tag=!particle5] run tellraw @s ["",{"text":"- ","color":"gold"},{"text":"You unlocked the ","color":"gray"},{"text":"WITCH","color":"dark_green"},{"text":" particle trail!","color":"gray"}]
execute as @a[scores={roundsPlayed=20},tag=!particle5] at @s run tellraw @a[distance=0.001..] ["",{"text":"- ","color":"gold"},{"selector":"@s","color":"dark_green"},{"text":" unlocked the ","color":"gray"},{"text":"WITCH","color":"dark_green"},{"text":" particle trail!","color":"gray"}]
execute as @a[scores={roundsWon=7},tag=!particle6] run tellraw @s ["",{"text":"- ","color":"gold"},{"text":"You unlocked the ","color":"gray"},{"text":"HEART","color":"dark_green"},{"text":" particle trail!","color":"gray"}]
execute as @a[scores={roundsWon=7},tag=!particle6] at @s run tellraw @a[distance=0.001..] ["",{"text":"- ","color":"gold"},{"selector":"@s","color":"dark_green"},{"text":" unlocked the ","color":"gray"},{"text":"HEART","color":"dark_green"},{"text":" particle trail!","color":"gray"}]

execute as @a[scores={gamesWon=3},tag=!particle7] run tellraw @s ["",{"text":"- ","color":"gold"},{"text":"You unlocked the ","color":"gray"},{"text":"FLAME","color":"dark_green"},{"text":" particle trail!","color":"gray"}]
execute as @a[scores={gamesWon=3},tag=!particle7] at @s run tellraw @a[distance=0.001..] ["",{"text":"- ","color":"gold"},{"selector":"@s","color":"dark_green"},{"text":" unlocked the ","color":"gray"},{"text":"FLAME","color":"dark_green"},{"text":" particle trail!","color":"gray"}]
execute as @a[scores={roundsPlayed=30},tag=!particle8] run tellraw @s ["",{"text":"- ","color":"gold"},{"text":"You unlocked the ","color":"gray"},{"text":"TOTEM","color":"dark_green"},{"text":" particle trail!","color":"gray"}]
execute as @a[scores={roundsPlayed=30},tag=!particle8] at @s run tellraw @a[distance=0.001..] ["",{"text":"- ","color":"gold"},{"selector":"@s","color":"dark_green"},{"text":" unlocked the ","color":"gray"},{"text":"TOTEM","color":"dark_green"},{"text":" particle trail!","color":"gray"}]
execute as @a[scores={roundsWon=10},tag=!particle9] run tellraw @s ["",{"text":"- ","color":"gold"},{"text":"You unlocked the ","color":"gray"},{"text":"RAINBOW","color":"dark_green"},{"text":" particle trail!","color":"gray"}]
execute as @a[scores={roundsWon=10},tag=!particle9] at @s run tellraw @a[distance=0.001..] ["",{"text":"- ","color":"gold"},{"selector":"@s","color":"dark_green"},{"text":" unlocked the ","color":"gray"},{"text":"RAINBOW","color":"dark_green"},{"text":" particle trail!","color":"gray"}]

tag @a[scores={gamesWon=1},tag=!particle1] add particle1
tag @a[scores={roundsPlayed=10},tag=!particle2] add particle2
tag @a[scores={roundsWon=3},tag=!particle3] add particle3
tag @a[scores={gamesWon=2},tag=!particle4] add particle4
tag @a[scores={roundsPlayed=20},tag=!particle5] add particle5
tag @a[scores={roundsWon=7},tag=!particle6] add particle6
tag @a[scores={gamesWon=3},tag=!particle7] add particle7
tag @a[scores={roundsPlayed=30},tag=!particle8] add particle8
tag @a[scores={roundsWon=10},tag=!particle9] add particle9



# 1.1: Villager (1 game won)
# 1.2: End Rod (10 rounds played)
# 1.3: Note (3 rounds won)

# 2.1: Nautilus (2 games won)
# 2.2: Witch (20 rounds played)
# 2.3: Heart (7 rounds won)

# 3.1: Flame (3 games won)
# 3.2: Totem (30 rounds played)
# 3.3: Rainbow (10 rounds won)